import type { _DOMHTMLElement } from "./DOMHTMLElement.js";
import type { _NSString } from "../Foundation/NSString.js";
export declare class _DOMHTMLTableColElement extends _DOMHTMLElement {
    static alloc(): _DOMHTMLTableColElement;
    static new(): _DOMHTMLTableColElement;
    init(): _DOMHTMLTableColElement;
    align(): _NSString;
    setAlign$(value: _NSString): void;
    ch(): _NSString;
    setCh$(value: _NSString): void;
    chOff(): _NSString;
    setChOff$(value: _NSString): void;
    span(): number;
    setSpan$(value: number): void;
    vAlign(): _NSString;
    setVAlign$(value: _NSString): void;
    width(): _NSString;
    setWidth$(value: _NSString): void;
}
